# norootforbuild

%define		soname	8

Name:		libgloox%{soname}
Version:	1.0
Release:	1.2

Summary:	High-level XMPP Library for C++
URL:		http://camaya.net/gloox
License:	GPLv2+
Group:		Development/Libraries/C and C++

Source:		gloox-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/build-%{name}-%{version}

BuildRequires:	libgnutls-devel libidn-devel libiksemel-devel pkg-config


%description
gloox is a portable high-level Jabber/XMPP library for C++. It is fully
compliant with the XMPP RFCs, supports all of the XMPP features (including
SRV lookups, TLS, SASL, roster management, and privacy lists), and implements
several XEPs that make it ideal for writing any kind of Jabber/XMPP client
or component.

%package -n libgloox-devel
Summary:        High-level XMPP Library for C++
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:	libgnutls-devel libidn-devel libiksemel-devel pkg-config

%description -n libgloox-devel
gloox is a portable high-level Jabber/XMPP library for C++. It is fully
compliant with the XMPP RFCs, supports all of the XMPP features (including
SRV lookups, TLS, SASL, roster management, and privacy lists), and implements
several XEPs that make it ideal for writing any kind of Jabber/XMPP client
or component.


%prep
%setup -q -n gloox-%{version}


%build
export SUSE_ASNEEDED=0
%configure --disable-static --with-pic
%__make %{?jobs:-j%jobs}


%install
%makeinstall
%__rm -rf %{buildroot}/%{_libdir}/libgloox.la


%clean
%__rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE TODO
%{_libdir}/libgloox.so.%{soname}
%{_libdir}/libgloox.so.%{soname}.*

%files -n libgloox-devel
%defattr(-,root,root)
%{_bindir}/gloox-config
%{_includedir}/gloox
%{_libdir}/libgloox.so
%{_libdir}/pkgconfig/gloox.pc


%changelog
* Sat Oct 09 2010 Detlef Reichelt <detlef@links2linux.de> 1.5.0
- initial build for PackMan

* Tue May 18 2010 - prusnak@suse.cz
- updated to 1.0
* Thu Jun 11 2009 - puzel@suse.cz
- add gloox-missing-include.patch (fix build)
* Sat Jan 10 2009 - mstopka@opensuse.org
- disable-static and with-pic added to configure
- removed libgloox.la file
* Sun Dec 21 2008 - mstopka@opensuse.org
- specfile clean-up
* Sat Mar 22 2008 Pascal Bleser <guru@unixtech.be> 0.9.9.5
- update to 0.9.9.5, minor bugfixes
* Sat Mar  8 2008 Pascal Bleser <guru@unixtech.be> 0.9.9.4
- update to 0.9.9.4, minor bugfixes
* Fri Jan 18 2008 Pascal Bleser <guru@unixtech.be> 0.9.9.3
- update to 0.9.9.3
* Thu Jan 17 2008 Pascal Bleser <guru@unixtech.be> 0.9.9.2
- update to 0.9.9.2
* Sat Dec  8 2007 Pascal Bleser <guru@unixtech.be> 0.9.8
- update to 0.9.8
* Thu Oct 25 2007 Pascal Bleser <guru@unixtech.be> 0.9.6.1
- update to 0.9.6.1
* Mon Oct 15 2007 Pascal Bleser <guru@unixtech.be> 0.9.5
- added Requires: libstdc++-devel
- Shared Library Policy (with backwards compatible Provides)
- update to 0.9.5
* Thu Aug 16 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.9.4.1
* Wed Aug 15 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.9.4
* Sat Jul 21 2007 Pascal Bleser <guru@unixtech.be> 
- update to 0.9.3
* Sun Jun 24 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.9.2
* Thu Jun 21 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.9.1
* Tue Jun 19 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.9
* Sat Jun  9 2007 Pascal Bleser <guru@unixtech.be>
- initial build service submission
